#!/usr/bin/python

import string
import os
import re

##
## I18N
##
from rhpl.translate import _, N_
import rhpl.translate as translate
domain = 'redhat-config-samba'
translate.textdomain (domain)

class SambaBackend:

    def isSmbRunning(self):
        fd = os.popen('/sbin/service smb status')
        lines = fd.readlines()
        fd.close()

        for line in lines:
            if string.find(line, 'smbd') >= 0:
                if string.find(line, 'stopped') > 0:
                    return 0
                if string.find(line, 'running') > 0:
                    return 1

    def startSamba(self):
        path = '/sbin/service'
        args = ['/sbin/service', 'smb', 'start']

        fd = os.popen('/sbin/service smb start')
        lines = fd.readlines()
        fd.close()

    def restartSamba(self):
        fd = os.popen('/sbin/service smb restart')
        lines = fd.readlines()
        fd.close()
