
global_keys = {
    'abort shutdown script' : None,
    'add group script' : None,
    'add machine script' : None,
    'addprinter command' : None,
    'add share command' : None,
    'add user script' : None,
    'add user to group script' : None,
    'algorithmic rid base' : None,
    'allow trusted domains' : None,
    'announce as' : None,
    'announce version' : None,
    'auth methods' : None,
    'auto services' : None,
    'bind interfaces only' : None,
    'browse list' : None,
    'change notify timeout' : None,
    'change share command' : None,
    'character set' : None,
    'client code page' : None,
    'client lanman auth' : None,
    'client ntlmv2 auth' : None,
    'client use spnego' : None,
    'code page directory' : None,
    'coding system' : None,
    'config file' : None,
    'deadtime' : None,
    'debug hires timestamp' : None,
    'debuglevel' : None,
    'debug pid' : None,
    'debug timestamp' : None,
    'debug uid' : None,
    'default' : None,
    'default service' : None,
    'delete group script' : None,
    'deleteprinter command' : None,
    'delete share command' : None,
    'delete user from group script' : None,
    'delete user script' : None,
    'dfree command' : None,
    'disable netbios' : None,
    'disable spoolss' : None,
    'display charset' : None,
    'dns proxy' : None,
    'domain admin group' : None,
    'domain guest group' : None,
    'domain logons' : None,
    'domain master' : None,
    'dos charset' : None,
    'enable rid algorithm' : None,
    'encrypt passwords' : "Yes",
    'enhanced browsing' : None,
    'enumports command' : None,
    'get quota command' : None,
    'getwd cache' : None,
    'hide local users' : None,
    'hide unreadable' : None,
    'homedir map' : None,
    'host msdfs' : None,
    'hostname lookups' : None,
    'hosts equiv' : None,
    'idmap backend' : None,
    'idmap gid' : None,
    'idmap uid' : None,
    'include' : None,
    'interfaces' : None,
    'keepalive' : None,
    'kernel oplocks' : None,
    'lanman auth' : None,
    'large readwrite' : None,
    'ldap admin dn' : None,
    'ldap delete dn' : None,
    'ldap filter' : None,
    'ldap machine suffix' : None,
    'ldap passwd sync' : None,
    'ldap port' : None,
    'ldap server' : None,
    'ldap ssl' : None,
    'ldap suffix' : None,
    'ldap trust ids' : None,
    'ldap user suffix' : None,
    'lm announce' : None,
    'lm interval' : None,
    'load printers' : None,
    'local master' : None,
    'lock directory' : None,
    'lock dir' : None,
    'lock spin count' : None,
    'lock spin time' : None,
    'log file' : None,
    'log level' : None,
    'logon drive' : None,
    'logon home' : None,
    'logon path' : None,
    'logon script' : None,
    'lpq cache time' : None,
    'machine password timeout' : None,
    'mangled stack' : None,
    'mangle prefix' : None,
    'mangling method' : None,
    'map to guest' : None,
    'max disk size' : None,
    'max log size' : None,
    'max mux' : None,
    'max open files' : None,
    'max protocol' : None,
    'max smbd processes' : None,
    'max ttl' : None,
    'max wins ttl' : None,
    'max xmit' : None,
    'message command' : None,
    'min passwd length' : None,
    'min password length' : None,
    'min protocol' : None,
    'min wins ttl' : None,
    'name cache timeout' : None,
    'name resolve order' : None,
    'netbios aliases' : None,
    'netbios name' : None,
    'netbios scope' : None,
    'nis homedir' : None,
    'ntlm auth' : None,
    'nt pipe support' : None,
    'nt smb support' : None,
    'nt status support' : None,
    'null passwords' : None,
    'obey pam restrictions' : None,
    'oplock break wait time' : None,
    'os level' : None,
    'os2 driver map' : None,
    'pam password change' : None,
    'panic action' : None,
    'paranoid server security' : None,
    'passdb backend' : None,
    'passwd chat' : None,
    'passwd chat debug' : None,
    'passwd program' : None,
    'password level' : None,
    'password server' : None,
    'pid directory' : None,
    'prefered master' : None,
    'preferred master' : None,
    'preload modules' : None,
    'preload' : None,
    'printcap name' : None,
    'printcap' : None,
    'printer driver file' : None,
    'private dir' : None,
    'protocol' : None,
    'read bmpx' : None,
    'read raw' : None,
    'read size' : None,
    'realm' : None,
    'remote announce' : None,
    'remote browse sync' : None,
    'restrict anonymous' : None,
    'root directory' : None,
    'root dir' : None,
    'root' : None,
    'security' : "USER",
    'server schannel' : None,
    'server string' : "Samba %v",
    'set primary group script' : None,
    'set quota command' : None,
    'show add printer wizard' : None,
    'shutdown script' : None,
    'smb passwd file' : None,
    'smb ports' : None,
    'socket address' : None,
    'socket options' : None,
    'source environment' : None,
    'ssl' : None,
    'ssl CA certDir' : None,
    'ssl CA certFile' : None,
    'ssl ciphers' : None,
    'ssl client cert' : None,
    'ssl client key' : None,
    'ssl compatibility' : None,
    'ssl egd socket' : None,
    'ssl entropy bytes' : None,
    'ssl entropy file' : None,
    'ssl hosts resign' : None,
    'ssl require clientcert' : None,
    'ssl require servercert' : None,
    'ssl server cert' : None,
    'ssl server key' : None,
    'ssl version' : None,
    'stat cache' : None,
    'stat cache size' : None,
    'strip dot' : None,
    'syslog' : None,
    'syslog only' : None,
    'template homedir' : None,
    'template primary group' : None,
    'template shell' : None,
    'time offset' : None,
    'time server' : None,
    'timestamp logs' : None,
    'total print jobs' : None,
    'unicode' : None,
    'unix charset' : None,
    'unix extensions' : None,
    'unix password sync' : None,
    'update encrypted' : "No",
    'use mmap' : None,
    'use rhosts' : None,
    'username level' : None,
    'username map' : "None",
    'use spnego' : None,
    'utmp' : None,
    'utmp directory' : None,
    'valid chars' : None,
    'winbind cache time' : None,
    'winbind enable local accounts' : None,
    'winbind enum users' : None,
    'winbind enum groups' : None,
    'winbind gid' : None,
    'winbind separator' : None,
    'winbind trusted domains only' : None,
    'winbind uid' : None,
    'winbind use default domain' : None,
    'wins hook' : None,
    'wins partners' : None,
    'wins proxy' : None,
    'wins server' : None,
    'wins support' : None,
    'workgroup' : "WORKGROUP",
    'write raw' : None,
    'wtmp directory' : None,
    }

section_keys = {
    'admin users' : None,
    'allow hosts' : None,
    'available' : None,
    'blocking locks' : None,
    'block size' : None,
    'browsable' : None,
    'browseable' : None,
    'case sensitive' : None,
    'casesignames' : None,
    'comment' : "None",
    'copy' : None,
    'create mask' : 0744,
    'create mode' : None,
    'csc policy' : None,
    'default case' : None,
    'default devmode' : None,
    'delete readonly' : None,
    'delete veto files' : None,
    'deny hosts' : None,
    'directory mask' : 0755,
    'directory mode' : None,
    'directory' : None,
    'directory security mask' : None,
    'dont descend' : None,
    'dos filemode' : None,
    'dos filetime resolution' : None,
    'dos filetimes' : None,
    'exec' : None,
    'fake directory create times' : None,
    'fake oplocks' : None,
    'follow symlinks' : None,
    'force create mode' : None,
    'force directory mode' : None,
    'force directory security mode' : None,
    'force group' : None,
    'force security mode' : None,
    'force user' : None,
    'fstype' : None,
    'group' : None,
    'guest account' : "nobody",
    'guest ok' : "no",
    'guest only' : None,
    'hide dot files' : None,
    'hide files' : None,
    'hide special files' : None,
    'hide unreadable' : None,
    'hide unwriteable' : None,
    'hosts allow' : None,
    'hosts deny' : None,
    'include' : None,
    'inherit acls' : None,
    'inherit permissions' : None,
    'invalid users' : "None",
    'level2 oplocks' : None,
    'locking' : None,
    'lppause command' : None,
    'lpq command' : None,
    'lpresume command' : None,
    'lprm command' : None,
    'magic output' : None,
    'magic script' : None,
    'mangle case' : None,
    'mangled map' : None,
    'mangled names' : None,
    'mangling char' : None,
    'map acl inherit' : None,
    'map archive' : None,
    'map hidden' : None,
    'map system' : None,
    'max connections' : None,
    'max print jobs' : None,
    'max reported print jobs' : None,
    'min print space' : None,
    'msdfs proxy' : None,
    'msdfs root' : None,
    'nt acl support' : None,
    'only user' : None,
    'only guest' : None,
    'oplock contention limit' : None,
    'oplocks' : None,
    'path' : None,
    'posix locking' : None,
    'postexec' : None,
    'postscript' : None,
    'preexec' : None,
    'preexec close' : None,
    'preserve case' : None,
    'print command' : None,
    'printable' : None,
    'printer admin' : None,
    'printer driver' : None,
    'printer driver location' : None,
    'printer name' : None,
    'printer' : None,
    'printing' : None,
    'print ok' : None,
    'profile acls' : None,
    'public' : None,
    'queuepause command' : None,
    'queueresume command' : None,
    'read list' : None,
    'read only' : "Yes",
    'root postexec' : None,
    'root preexec' : None,
    'root preexec close' : None,
    'security mask' : None,
    'set directory' : None,
    'share modes' : None,
    'short preserve case' : None,
    'status' : None,
    'strict allocate' : None,
    'strict locking' : None,
    'strict sync' : None,
    'sync always' : None,
    'use client driver' : None,
    'username' : None,
    'user' : None,
    'users' : None,
    'use sendfile' : None,
    'valid users' : "None",
    'veto files' : None,
    'veto oplock files' : None,
    'vfs object' : None,
    'vfs objects' : None,
    'vfs options' : None,
    'volume' : None,
    'wide links' : None,
    'writeable' : 'no',
    'writable' : 'no',
    'write cache size' : None,
    'write list' : None,
    'write ok' : None
    }

synonym_dict = {
    'browseable' : ['browsable'],
    'case sensitive' : ['casesignames'],
    'create mask' : ['create mode'],
    'debug timestamp' : ['timestamp logs'],
    'default service' : ['default'],
    'directory mask' : ['directory mode'],
    'force group' : ['group'],
    'guest ok' : ['public'],
    'guest only' : ['only guest'],
    'hosts allow' : ['allow hosts'],
    'hosts deny' : ['deny hosts'],
    'idmap gid' : ['winbind gid'],
    'idmap uid' : ['winbind uid'],
    'lock directory' : ['lock dir'],
    'log level' : ['debuglevel'],
    'max protocol' : ['protocol'],
    'min password length' : ['min passwd length'],
    'path' : ['directory'],
    'preexec' : ['exec'],
    'preferred master' : ['prefered master'],
    'preload' : ['auto services'],
    'printable' : ['print ok'],
    'printcap name' : ['printcap'],
    'printer name' : ['printer'],
    'root directory' : ['root'],
    'root directory' : ['root dir'],
    'username' : ['user'],
    'username' : ['users'],
    'vfs objects' : ['vfs object'],
    'writeable' : ['writable'],
    }

inverted_synonym_dict = {
    'writeable' : ['read only'],
    'write ok' : ['read only']
    }
